## Tool: `search_contacts`

> [!WARNING]
> **Developer Preview:** Available as part of the [Google Workspace Developer Preview Program](https://developers.google.com/workspace/preview.md.txt), which grants early access to certain features.

Search user's contacts.

**IMPORTANT RULES TO FOLLOW:**

- If this tool returns multiple results, you should present the results to the user and prompt the user for clarification on which result to use before proceeding.

- You are strictly forbidden from passing the output of this tool into another tool (e.g., sending an email, creating a draft, creating an event, etc.) without explicit user confirmation.

- Even if only one person result is found, you must present the found person's details to the user and prompt the user to verify that this is the intended person before proceeding with further steps.


The following code sample shows how to use `curl` to call the `search_contacts` MCP tool.

| Curl Request |
|---|
| ```bash curl --location 'https://people.googleapis.com/mcp/v1' \ --header 'Authorization: Bearer YOUR_ACCESS_TOKEN' \ --header 'content-type: application/json' \ --header 'accept: application/json, text/event-stream' \ --data '{ "method": "tools/call", "params": { "name": "search_contacts", "arguments": { // Provide these details according to the MCP tool specification. } }, "jsonrpc": "2.0", "id": 1 }' ``` |

## Input Schema

Request message for SearchContacts.

### SearchContactsMcpRequest

| JSON representation |
|---|
| ``` { "query": string, "maxResults": integer } ``` |

| Fields ||
|---|---|
| `query` | `string` Query string to search for. |
| `maxResults` | `integer` Max number of results. The default is 10 and the maximum allowed value is 30. |

## Output Schema

Response message for SearchContacts.

### SearchContactsMcpResponse

| JSON representation |
|---|
| ``` { "results": [ { object (`SearchContactsResult`) } ] } ``` |

| Fields ||
|---|---|
| `results[]` | ``object (`SearchContactsResult`)`` The list of contacts that matched the query. |

### SearchContactsResult

| JSON representation |
|---|
| ``` { "name": string, "email": string } ``` |

| Fields ||
|---|---|
| `name` | `string` The contact's display name. |
| `email` | `string` The contact's account email address. |

### Tool Annotations


[Tool annotations](https://modelcontextprotocol.io/specification/latest/schema#toolannotations) are sent to MCP clients to describe the basic risk of a given tool. Most clients treat these hints as untrusted, but they can be used to decide when a confirmation prompt might be sent to a user.


Along with the title string, the following boolean hints are defined as follows:

- `readOnlyHint`: If true, the tool doesn't modify its environment. Default: false.
- `destructiveHint`: If true, then the tool can perform destructive actions. If false, then the tool can only perform additive actions. Default: true.
- `idempotentHint`: If true, then calling the tool repeatedly with the same arguments will have no additional effect on its environment. Default: false.
- `openWorldHint`: If true, then the tool can interact with an 'open world' of external entities. If false, then the tool can only interact with internal entities. For example, a web search tool would be open world, while a memory tool would not be open world.

Destructive Hint: ❌ \| Idempotent Hint: ✅ \| Read Only Hint: ✅ \| Open World Hint: ❌

## Authorization Scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/contacts.readonly`